Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# Neousys CAN Interface

This kind of interface can be found for example on Neousys POC-551VTC One needs to have correct drivers and DLL (Share object for Linux) from Neousys.

Beware this is only tested on Linux kernel higher than v5.3. This should be drop in with Windows but you have to replace with correct named DLL

class can.interfaces.neousys.NeousysBus(channel, device=0, bitrate=500000, **kwargs)

  Bases: `BusABC`

  Neousys CAN bus Class

  Parameters:

    - channel – channel number

    - device – device number

    - bitrate – bit rate.

  send(msg, timeout=None)
    Parameters:

      - msg – message to send

      - timeout – timeout is not used here

    Return type:

      None

  shutdown()

    Called to carry out any interface specific cleanup required in shutting down a bus.

    This method can be safely called multiple times.